com.aliyun.svideosdk.common.struct.effect

## Class TrackAudioStream.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackAudioStream.Builder

- Enclosing class:
    TrackAudioStream

      public static final class TrackAudioStream.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackAudioStream.Builder` | `audioWeight(int weight)` 设置音频流混音权重
    `TrackAudioStream` | `build()` 构建音频流对象
    `TrackAudioStream.Builder` | `source(Source source)` 设置资源路径
    `TrackAudioStream.Builder` | `startTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置音频流在轨道的开始时间
    `TrackAudioStream.Builder` | `streamDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置流的持续时长,
    `TrackAudioStream.Builder` | `streamId(int streamId)` 设置音频流id
    `TrackAudioStream.Builder` | `streamStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置流的的开始时间

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public TrackAudioStream.Builder source(Source source)

      设置资源路径
      Parameters:
        `source` - 资源路径
      Returns:

    - #### streamStartTime

          public TrackAudioStream.Builder streamStartTime(long startTime,
                                                          java.util.concurrent.TimeUnit timeUnit)

      设置流的的开始时间
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### streamDuration

          public TrackAudioStream.Builder streamDuration(long duration,
                                                         java.util.concurrent.TimeUnit timeUnit)

      设置流的持续时长,
      Parameters:
        `duration` -
        `timeUnit` - 时间单位

    - #### streamId

          public TrackAudioStream.Builder streamId(int streamId)

      设置音频流id
      Parameters:
        `streamId` -
      Returns:
        this

    - #### audioWeight

          public TrackAudioStream.Builder audioWeight(int weight)

      设置音频流混音权重
      Parameters:
        `weight` -
      Returns:
        this

    - #### startTime

          public TrackAudioStream.Builder startTime(long startTime,
                                                    java.util.concurrent.TimeUnit timeUnit)

      设置音频流在轨道的开始时间
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位
      Returns:
        this

    - #### build

          public TrackAudioStream build()

      构建音频流对象
      Returns:
        `TrackAudioStream`